Bug 252494 - net/mpich: upgrade to 3.4
Summary: net/mpich: upgrade to 3.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Thierry Thomas
URL: https://www.mpich.org/2021/01/05/mpic...
Keywords:
Depends on: 252495 252496
Blocks:
  Show dependency treegraph
 
Reported: 2021-01-07 17:53 UTC by Thierry Thomas
Modified: 2021-01-08 09:36 UTC (History)
1 user (show)

See Also:


Attachments
Upgrade net/mpich to 3.4 (23.60 KB, patch)
2021-01-07 17:53 UTC, Thierry Thomas
no flags Details | Diff
Upgrade MPICH to 3.4 (23.75 KB, patch)
2021-01-07 19:11 UTC, Thierry Thomas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thierry Thomas freebsd_committer 2021-01-07 17:53:10 UTC
Created attachment 221357 [details]
Upgrade net/mpich to 3.4

MPICH has been upgraded to 3.4: see
https://www.mpich.org/2021/01/05/mpich-3-4-released/

The attached patch upgrades net/mpich to 3.4, and also make it depend on external libfabric and libjson-c.

Also add a test target (all tests pass).

Warning: devel/hwloc2 is required, and this port conflicts with devel/hwloc.
Comment 1 Thierry Thomas freebsd_committer 2021-01-07 19:11:02 UTC
Created attachment 221364 [details]
Upgrade MPICH to 3.4

Fix bash.
Comment 2 Jack 2021-01-08 05:56:49 UTC
I'm getting a compile error with this

===> The following configuration options are available for mpich-3.2.1_6:
DOCS=off: Build and/or install documentation
FORTRAN=on: Fortran language support
====> Process managers
GFORKER=on: Simple local process manager
HYDRA=on: Parallel process manager
====> Default process manager: you can only select none or one of them
DGFORKER=off: Make gforker the default process manager
DHYDRA=on: Make hydra the default process manager


libtool: compile:  cc -DHAVE_CONFIG_H -I. -I./include -I./tools/topo/hwloc/hwloc/include/private/autogen -I./tools/topo/hwloc/hwloc/include/hwloc/autogen -I./include -I./mpl/include -I./mpl/include -I./tools/topo -I./tools/bootstrap/include -I./tools/bootstrap/utils -I./tools/ckpoint -I./tools/demux -I./tools/debugger -I./pm/include -I./pm/utils -I./ui/include -I./ui/utils -DHYDRA_CONF_FILE=\"/usr/local/etc/mpiexec.hydra.conf\" -I/virtualbox/obj/usr/ports/net/mpich/work/mpich-3.2.1/src/mpl/include -I/virtualbox/obj/usr/ports/net/mpich/work/mpich-3.2.1/src/mpl/include -I/virtualbox/obj/usr/ports/net/mpich/work/mpich-3.2.1/src/openpa/src -I/virtualbox/obj/usr/ports/net/mpich/work/mpich-3.2.1/src/openpa/src -D_REENTRANT -I/virtualbox/obj/usr/ports/net/mpich/work/mpich-3.2.1/src/mpi/romio/include -I/usr/local/include -O2 -pipe -march=ivybridge -fstack-protector-strong -fno-strict-aliasing -g -MT tools/topo/hwloc/topo_hwloc.lo -MD -MP -MF tools/topo/hwloc/.deps/topo_hwloc.Tpo -c tools/topo/hwloc/topo_hwloc.c  -fPIC -DPIC -o tools/topo/hwloc/.libs/topo_hwloc.o
tools/topo/hwloc/topo_hwloc.c:431:40: error: use of undeclared identifier 'HWLOC_MEMBIND_REPLICATE'
HYDT_topo_hwloc_info.membind = HWLOC_MEMBIND_REPLICATE;
^
1 error generated.
*** Error code 1

Stop.
make[5]: stopped in /virtualbox/obj/usr/ports/net/mpich/work/mpich-3.2.1/src/pm/hydra
*** Error code 1
*** Error code 1
*** Error code 1
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/net/mpich
*** Error code 1

Stop.
make: stopped in /usr/ports/net/mpich
Comment 3 Thierry Thomas freebsd_committer 2021-01-08 09:32:11 UTC
Committed!
Comment 4 Thierry Thomas freebsd_committer 2021-01-08 09:35:32 UTC
(In reply to Jack from comment #2)

The first line of your message displays "mpich-3.2.1_6", but this PR is for mpich-3.4. Could you please check?
Comment 5 Jack 2021-01-08 09:36:54 UTC
(In reply to Thierry Thomas from comment #4)
i missy have patched wrong, will try again